/**
* Wallpaper App
* Implementing an App used to Wallpaper
*/
var WallpaperApp = WallpaperApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
WallpaperApp.App = function () {
    this.id = 'Wallpaper';
    this.name = 'Wallpaper';
    this.version = '6.0.3';
    this.active = false;
    this.menuIcon = '/apps/wallpaper/images/logo.png?v=6.0.3&';
    this.shortcutIcon = '/apps/wallpaper/images/logo.png?v=6.0.3&';
    this.entryUrl = '/apps/wallpaper/wallpaper.html?v=6.0.3&';
    //this.entryHelpUrl = '/apps/wallpaper/wallpaper_help.html?v=6.0.3&';
    var self = this;
    this.WallpaperAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Wallpaper')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'WallpaperAppWindow',
            title: UNAS._('Wallpaper'),
            icon: '/apps/wallpaper/images/logo_small.png?v=6.0.3&',
            width: 800,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/wallpaper/wallpaper.html?v=6.0.3&',
            require: {  css: ['/apps/wallpaper/css/wallpaper.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Wallpaper",'WallpaperAppWindow')}
        });
    };
    this.WallpaperAppUninstall = function () {
        UNAS.RemoveDesktopShortcut('Wallpaper');
        UNAS.RemoveMenu('Wallpaper');
        UNAS.RemoveAppFromGroups('Wallpaper', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Wallpaper', 'Help');
        UNAS.RemoveAppFromApps('Wallpaper');
    }
   // new UNAS.UserMenu('User_Top_Menu', this.name, 'Wallpaper', this.WallpaperAppWindow);
    this.wallpaperMenuIcon = '/apps/wallpaper/images/ic-wallpaper.svg?v=6.0.3&';
    new UNAS.UserMenu('User_Top_Menu', this.name, 'Wallpaper', this.WallpaperAppWindow, this.wallpaperMenuIcon);

    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Wallpaper', this.WallpaperAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 20, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
   //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Account', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        //UNAS.SetShortcutTitle('Wallpaper', UNAS._('Wallpaper'));
        UNAS.SetMenuTitle('Wallpaper', UNAS._('Wallpaper')); //translate menu
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('WallpaperAppWindow', UNAS._('Wallpaper'));
        }
    };
    UNAS.LoadTranslation('/apps/wallpaper/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.WallpaperAppWindow, this.WallpaperAppUninstall);
};

new WallpaperApp.App(); //Create app
